/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CashSaleMgmt.CashSale;

import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class CashSaleDetail {
    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public boolean verifyAvailability() {
        return false;
    }

    public void deductQty() {
    }

    private int qty;
    private int UOM;
    private BigDecimal negotiatedPrice;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.Product.ProductBeingSold lnkUnnamed;
}


